form {
  width: 400px;
  background-color: #ccc;
  padding: 2px;
  margin-bottom: 1px;
}

.field-wrap {
  width: 100%;
  margin-bottom: 1px;
  display: flex;
}

.field-wrap input,
select {
  width: 100%;
  flex-grow: 1;
}

label {
  margin-right: 5px;
  width: 115px;
}